import { ProcessContext } from './ProcessContext';
import { ProcessRepresentation } from '../domain';
import { ScalableMaster } from './ScalableMaster';
/**
 * class ProcessBootstrap
 * Bootstrap a worker process, handing all phases of an application stating
 */
export declare class ProcessBootstrap {
    master: ScalableMaster;
    context: ProcessContext;
    processRepresentation: ProcessRepresentation;
    private procfileReconciler;
    constructor(processRepresentation: ProcessRepresentation);
    start(): Promise<void>;
    stop(): Promise<void>;
    startAsMaster(): Promise<void>;
    startAsWorker(): Promise<void>;
    injectMonitor(): void;
    /**
     * A static method to handing the CLI
     */
    static cmd(): void;
}
export declare function cmd(): void;
