"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
var State;
(function (State) {
    State[State["pending"] = 1] = "pending";
    State[State["complete"] = 2] = "complete";
    State[State["stopped"] = 3] = "stopped";
})(State = exports.State || (exports.State = {}));
// *********
// Global
exports.PANDORA_GLOBAL_CONFIG = 'PANDORA_CONFIG';
exports.PANDORA_CWD = 'PANDORA_CWD';
exports.PANDORA_HOME = 'PANDORA_HOME';
// *********
// Daemon
exports.SEND_DAEMON_MESSAGE = 'send_daemon_message';
exports.DAEMON_READY = 'daemon_ready';
exports.DAEMON_MESSENGER = 'pandora_daemon_messenger';
// *********
// Procfile.js
exports.PROCFILE_NAMES = ['procfile', 'procfile.js', 'procfile.ts'];
exports.defaultWorkerCount = process.env.DEFAULT_WORKER_COUNT ? parseInt(process.env.DEFAULT_WORKER_COUNT) : os_1.cpus().length;
// *********
// Process
exports.PROCESS_READY = 'process_ready';
exports.PROCESS_ERROR = 'process_error';
exports.WORKER_READY = 'worker_ready';
exports.WORKER_EXIT = 'worker_exit';
exports.SHUTDOWN = 'shutdown';
exports.FINISH_SHUTDOWN = 'finish_shutdown';
exports.SHUTDOWN_TIMEOUT = 5 * 1000;
exports.RELOAD = 'reload';
exports.RELOAD_SUCCESS = 'reload_success';
exports.RELOAD_ERROR = 'reload_error';
exports.RELOAD_TIMEOUT = 10 * 1000;
// *********
// Service
exports.SERVICE_PREFIX_IN_HUB = '';
exports.SERVICE_RESERVE_NAME = ['all'];
// *********
// spawn-wrap
exports.PANDORA_PROCESS = 'PANDORA_PROCESS_REPRESENTATION';
//# sourceMappingURL=const.js.map